10 December 2016

A reminder: Updates to Listing Requirements on Jan 10th 2017

Written by Aníbal Sánchez, Posted in General,

A reminder: Updates to Listing Requirements on Jan 10th 2017

A reminder that all extensions listed on the JED will soon be required to use the Joomla Update System. This will help to ensure that site owners are always notified of when a new version of their installed extensions is available. Keeping extensions up to date can help to improve security.

This change is a mandatory requirement and checks will be added to the JED Checker. The error code will be: US1 - update sites not present in xml file.

This new requirement will come into force on January 10th 2017. Checks will be carried out on the latest zip file that was upload to JED, so developers are asked to ensure that the latest copies have been uploaded to their listings

With regards to extensions already listed on JED, they will not be unpublished if they are not in compliance with this new requirement. Instead, a popup warning will be shown to users when clicking the Download button, informing them that the extension doesn't support update servers and therefore must be updated manually.

This new requirement will come into force on January 10th 2017.

The JED knowledgebase article covering update server implementation is available from the below link:

 Joomla! Update System requirement

http://extensions.joomla.org/support/knowledgebase/item/joomla-update-system-requirement

More information about Update Servers can be found here: https://docs.joomla.org/Deploying_an_Update_Server

About the Author

Aníbal Sánchez

Aníbal Sánchez

JED Assistant Team Manager / Joomla! CLT member

Web developer working with Joomla! CMS since 2007, developing extensions, social media and mobile applications. Currently working at Extly Extensions and JoomGap "Mobile Apps for Joomla!", as Product Manager and Leading Developer.